routes/admin.php
<?php

use Illuminate\Support\Facades\Route;

Route::get('/', [App\Http\Controllers\Admin\HomeController::class, 'index'])->name('home.index');


Route::get("questions/{question}/duplicate",[App\Http\Controllers\Admin\QuestionController::class,"duplicate"])->name("questions.duplicate");
Route::resource("questions",App\Http\Controllers\Admin\QuestionController::class);

Route::resource("orders",App\Http\Controllers\Admin\OrderController::class);
Route::resource("invoices",App\Http\Controllers\Admin\InvoiceController::class);
Route::resource("users",App\Http\Controllers\Admin\UserController::class);
Route::get("coupons/data-table", [App\Http\Controllers\Admin\CouponController::class,"dataTable"])->name("coupons.data-table");
Route::resource("coupons",App\Http\Controllers\Admin\CouponController::class);


Route::get("settings", [App\Http\Controllers\Admin\SettingController::class,"edit"])->name("settings.edit");
Route::put("settings", [App\Http\Controllers\Admin\SettingController::class,"update"])->name("settings.update");

Route::get("types/data-table/{type}", [App\Http\Controllers\Admin\TypeController::class,"dataTable"])->name("types.data-table");
Route::get("types/order-status", [App\Http\Controllers\Admin\TypeController::class,"orderStatus"])->name("types.order-status");
Route::get("types/business-types", [App\Http\Controllers\Admin\TypeController::class,"businessTypes"])->name("types.business-types");
Route::resource("types",App\Http\Controllers\Admin\TypeController::class)->except("index");

Route::match(["get","put"],'actions/{action}/status', [App\Http\Controllers\Admin\ActionController::class, 'updateStatus'])->name('actions.update_status');
Route::match(["get","put"],'actions/{details}/manage/{offset?}', [App\Http\Controllers\Admin\ActionController::class, 'manage'])->name('actions.manage');
Route::get('orders/{invoice:slug}/manage', [App\Http\Controllers\Admin\TrackingController::class, 'manage'])->name('orders.manage');

Route::get('transactions/{transaction}/details', [App\Http\Controllers\Admin\TransactionController::class, 'details'])->name('transactions.details');

routes/web.php
<?php

use App\Models\Order\Order;
use App\Models\Question\Question;
use App\Models\User\User;
use App\Notifications\NewOrder;
use Illuminate\Support\Facades\Notification;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/


Route::prefix(LaravelLocalization::setLocale())->middleware(['localeSessionRedirect', 'localizationRedirect'])->group(function () {
    Route::get('/', [App\Http\Controllers\Web\HomeController::class, 'index'])->name('home');

    Route::get('orders', [App\Http\Controllers\Web\OrderController::class, 'index'])->name('orders.index');
    Route::get('orders/{question:key}/create', [App\Http\Controllers\Web\OrderController::class, 'create'])->name('orders.create');
    Route::post('orders/{question}/store', [App\Http\Controllers\Web\OrderController::class, 'store'])->name('orders.store');
    Route::get('invoices/{invoice:slug}/show', [App\Http\Controllers\Web\InvoiceController::class, 'show'])->name('invoices.show');
    Route::put('invoices/{invoice:slug}/apply-coupon', [App\Http\Controllers\Web\InvoiceController::class, 'applyCoupon'])->name('invoices.apply_coupon');
    Route::get('invoices/{invoice:slug}/remove-coupon', [App\Http\Controllers\Web\InvoiceController::class, 'removeCoupon'])->name('invoices.remove_coupon');

    Route::middleware(["auth"])->group(function () {
        Route::get('profile/{page?}', [App\Http\Controllers\Web\ProfileController::class, 'edit'])->name('dashboard.profile.edit');
        Route::put('profile/{page?}', [App\Http\Controllers\Web\ProfileController::class, 'update'])->name('dashboard.profile.update');
        Route::post('invoices/{invoice:slug}/checkout', [App\Http\Controllers\Web\InvoiceController::class, 'checkout'])->name('invoices.checkout');
        Route::get('dashboard', [App\Http\Controllers\DashboardController::class, 'index'])->name('dashboard.index');

        Route::post('tracking/find', [App\Http\Controllers\Web\TrackingController::class, 'find'])->name('tracking.find');
        Route::get('tracking/search', [App\Http\Controllers\Web\TrackingController::class, 'search'])->name('tracking.search');
        Route::get('tracking/{invoice:slug}/show', [App\Http\Controllers\Web\TrackingController::class, 'show'])->name('tracking.show');
    });

    Route::match(["get", "put"], 'actions/{action}/status', [App\Http\Controllers\Web\ActionController::class, 'updateStatus'])->name('actions.update_status');

});


Route::post('transaction/integrates/{method}/{gateway}/process-callback', [App\Http\Controllers\Web\TransactionController::class, 'processCallback']);
Route::get('transaction/integrates/{method}/{gateway}/response-callback', [App\Http\Controllers\Web\TransactionController::class, 'responseCallback']);

Route::resource("uploads", App\Http\Controllers\UploadFileController::class)->except(["show"]);
Route::post("uploads/voice-note", [App\Http\Controllers\UploadFileController::class,"voiceNote"])->name("uploads.voice_note");
Route::get("uploads/show/{storage_code}", [App\Http\Controllers\UploadFileController::class, "show"])->where('storage_code', '(.*)')->name("uploads.show");

app/Models/Order/Action/Action.php
<?php

namespace App\Models\Order\Action;


use App\Casts\State;
use App\Models\Material;
use App\Models\Order\Action\Meta;
use App\Models\Type;
use App\Models\User\User;
use App\Traits\Model\HasMetas;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Action extends Model
{
    use SoftDeletes, HasMetas;

    protected $guarded = [];

    protected $with = ["metas","status"];

    protected $meta = Meta::class;

    const STATES = [0 => "pending" , 1 => "approved" , 2 => "declined"];

    protected $casts = [
        "data" => "collection",
        "approval" => State::class.':'.self::class
    ];

    protected $attributes = [
        "data" => "",
    ];

    public function model()
    {
        return $this->morphTo();
    }

    public function user()
    {
        return $this->belongsTo(User::class);
    }

    public function logs()
    {
        return $this->hasMany(Log::class)->latest();
    }

    public function status()
    {
        return $this->belongsTo(Type::class,"state_id")->withDefault([
           "class" => 'badge badge-pill badge-light',
            "name" => "-",
            "key" => null,
        ]);;
    }

    public function materials()
    {
        return $this->morphMany(Material::class,"model")->orderBy("created_at");
    }

}

app/Models/Order/Action/Log.php
<?php

namespace App\Models\Order\Action;

use App\Casts\State;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Log extends Model
{
    use SoftDeletes;

    protected $guarded = [];

    const STATES = [];

    protected $casts = [
        "state" => State::class.':'.self::class,
        "data" => "collection"
    ];

}

app/Models/Order/Action/Meta.php
<?php

namespace App\Models\Order\Action;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Meta extends Model
{
    protected $guarded = [];

    protected $table = "action_metas";

    public $timestamps = false;

    public function action()
    {
        return $this->belongsTo(Action::class);
    }

    public function sync(Action $action, $data)
    {

        $data = $this->prepareData($data);

        $attributes = [];
        foreach($data as $key => $value){
            $attributes[] = ["action_id" => $action->id,"key" => $key , "value" => $value];
        }

        if (empty($attributes))
            return $this;

        self::where("action_id", $action->id)->whereIn("key", array_keys($data))->delete();

        return $this->insert($attributes);
    }


    private function prepareData($data){

        return $data;
    }
}

app/Models/Order/Details.php
<?php

namespace App\Models\Order;

use App\Models\Order\Action\Action;
use App\Models\Question\Question;
use App\Services\QuestionService;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Details extends Model
{
    use SoftDeletes;

    protected $table = "order_details";

    protected $guarded = [];


    protected $casts = [
        'answer_value' => 'collection',
    ];

    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function question()
    {
        return $this->belongsTo(Question::class)->withTrashed();
    }

    public function getAnswerValue($loadedQuestions)
    {
        //new method , better performance

        if(is_null($loadedQuestions))
            return null;

        $value = $this->answer_value;

       $answerValue = $value;

        if($value && $value->isNotEmpty()){
            $getVal = $value->count() > 1 ? $value->toJson() : $value->first();
            $answerValue = $getVal;
            if($questions = QuestionService::getQuestionbyId($getVal,true,$loadedQuestions)){
                $replaceAnswerValue = $answerValue;
                for($i = 0; $i< count($questions); $i++) {
                    if($questions[$i]["model"])
                        $replaceAnswerValue = (str_replace($questions[$i]["value"], $questions[$i]["model"]->getMeta("title_in_order", false) ?: $questions[$i]["model"]->title, $replaceAnswerValue));
                }
                $answerValue = $replaceAnswerValue;
            }

        }
        return $answerValue;
    }

    public function getValueAttribute_Disabled()
    {
        //old method
        $value = $this->answer_value;

        $answerValue = $value;
        if($value && $value->isNotEmpty()){
            $getVal = $value->count() > 1 ? $value->toJson() : $value->first();
            $answerValue = $getVal;
            if($questions = QuestionService::getQuestionbyId($getVal,true)){
                $replaceAnswerValue = $answerValue;
                for($i = 0; $i< count($questions); $i++) {
                    if($questions[$i]["model"])
                    $replaceAnswerValue = (str_replace($questions[$i]["value"], $questions[$i]["model"]->getMeta("title_in_order", false) ?: $questions[$i]["model"]->title, $replaceAnswerValue));
                }
                $answerValue = $replaceAnswerValue;
            }

        }

        return $answerValue;
    }


    public function getPriceAttribute($value)
    {

        if($value > 0){
            return $value." ".currency_locale();
        }
        return free_locale();
    }

    public function getTitleInOrderAttribute()
    {
         $title = $this->question->getMeta("title_in_order");

        return str_replace("(answer_value)",$this->value,$title);
    }

    public function actions()
    {
        return $this->morphMany(Action::class,"model");
    }
}

app/Models/Order/Meta.php
<?php

namespace App\Models\Order;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

class Meta extends Model
{
   protected $guarded = [];

    protected $table = "order_metas";


    public function order()
    {
        return $this->belongsTo(Order::class);
    }

    public function sync(Order $order, $data)
    {

        $data = $this->prepareData($data);

        self::where("order_id",$order->id)->delete();

        $attributes = [];
        foreach($data as $key => $value){
            $attributes[] = ["order_id" => $order->id,"key" => $key , "value" => $value];
        }

        return $this->insert($attributes);
    }


    private function prepareData($data){

        return $data;
    }}

app/Http/Controllers/Admin/OrderController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\Order\Order;
use Illuminate\Http\Request;
use Illuminate\Http\Response;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        $orders = Order::with(["user","invoice.coupon","action"])->whereHas("user")->latest()->get();

        $breadcrumbs = [
            ["link" => "admin/", "name" => "Home"],["name" => "Orders"]
        ];

        return view("admin.pages.orders.index",compact("orders","breadcrumbs"));
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create()
    {
        //
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request)
    {
        //
    }

    /**
     * Display the specified resource.
     *
     * @param  \App\Models\Order\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function show(Order $order)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  \App\Models\Order\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function edit(Order $order)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  \App\Models\Order\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Order $order)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  \App\Models\Order\Order  $order
     * @return \Illuminate\Http\Response
     */
    public function destroy(Order $order)
    {
        $order->delete();

        return response(null,Response::HTTP_NO_CONTENT);
    }
}

app/Http/Controllers/Web/OrderController.php
<?php

namespace App\Http\Controllers\Web;

use App\Http\Controllers\Controller;
use App\Http\Requests\Web\StoreOrderFormRequest;
use App\Models\Order\Order;
use App\Models\Question\Question;
use App\Services\OrderService;
use Illuminate\Http\Request;
use Illuminate\Http\Response;
use Illuminate\Support\Facades\Cache;

class OrderController extends Controller
{
    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index()
    {
        return view('web.pages.orders.index');
    }


    public function tracking(Order $order)
    {
        //
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */

    public function create(Question $question)
    {

       $question = Cache::rememberForever("main-question-{$question->id}", function () use($question)  {
                return $question->load(["children" => function($query){
                    return  $query->isActive();
                }]);
          });

        return view("web.pages.orders.create", compact("question"));
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @return \Illuminate\Http\Response
     */
    public function store(StoreOrderFormRequest $request, Question $question)
    {

        $question->load("children");

        $form_wizard_step_number = $request->input("form_wizard_step_number");

        $response = app(OrderService::class)->setByNamespace("web")->handleCreate($form_wizard_step_number, $question, $request->validated());

        return response()->json(array_merge(["success" => "true"], $response), Response::HTTP_OK);
    }

    /**
     * Display the specified resource.
     *
     * @param \App\Models\Question\Question $question
     * @return \Illuminate\Http\Response
     */
    public function show(Question $question)
    {
        //
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param \App\Models\Question\Question $question
     * @return \Illuminate\Http\Response
     */
    public function edit(Question $question)
    {
        //
    }

    /**
     * Update the specified resource in storage.
     *
     * @param \Illuminate\Http\Request $request
     * @param \App\Models\Question\Question $question
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, Question $question)
    {
        //
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param \App\Models\Question\Question $question
     * @return \Illuminate\Http\Response
     */
    public function destroy(Question $question)
    {
        //
    }
}

app/View/Components/QuestionComponent.php
<?php

namespace App\View\Components;

use Illuminate\View\Component;

class QuestionComponent extends Component
{
    public $question;
    public $isChild;
    /**
     * @var null
     */
    public $groupId;

    /**
     * Create a new component instance.
     *
     * @return void
     */
    public function __construct($question,$isChild  = null,$groupId = null)
    {
        //
        $this->question = $question;
        $this->isChild = $isChild;
        $this->groupId = $groupId;
    }

    /**
     * Get the view / contents that represent the component.
     *
     * @return \Illuminate\View\View|string
     */
    public function render()
    {
        return view('components.question');
    }
}

resources/views/web/pages/orders/create.blade.php
@extends('layouts.fullLayoutMaster',["appendFooter" => true])
{{-- title --}}
@section('title',null)
{{-- page scripts --}}

@section('content')

    @include("web.pages.orders.main-questions",["selectedMainQuestion" => $question->key])

    <!-- Form wizard with icon tabs section start -->
    <section id="icon-tabs">
        <div class="row kb-search-content-info m-0 mx-sm-1 mx-md-2 mx-lg-5 page-content">
            <div class="col-12 p-0 px-sm-1">
                <div class="card loading-card">
                    <div class="card-header mb-0 text-left text-sm-center">
                        <h4 class="card-title text-lowercase ">@lang("Please fill in fields and answer questions to complete your order").</h4>
                    </div>
                    <div class="card-content mt-1 py-4">
                        <form class="ajax-form d-none" data-alert="#order-create-alert" enctype="multipart/form-data"
                              data-scrolltoalert="true"
                              data-button="#order-create-button" id="order-create-form" method="POST"
                              @if($question->getMeta("form") == "wizard") data-form_wizard="#order-create-form-wizard" @endif
                              action="{{route("orders.store",$question->id)}}">
                            <div class="card-body px-1 m-0 pb-1">
                                <div class="@if($question->getMeta("form") == "wizard") form-wizard @endif @if($question->getMeta("hide_wizard_pagination",false)) hide_wizard_pagination @endif" id="order-create-form-wizard" data-pagination="#order-create-form-wizard-pagination" data-submit_label="{{ucwords(__("Order"))}}" data-next_label="{{__("Next")}}">
                                    <div class="row">
                                        <div class="col-md-12 px-2">
                                            @component('components.alert')
                                                @slot('alert_theme')  background  @endslot
                                                @slot('alert_type')  {{session('alert_message')["type"]}} @endslot
                                                @slot('alert_content')  {!! session('alert_message')["content"] !!}  @endslot
                                                @slot('custom_class')  m-0 {{session('alert_message') ? "" : "d-none"}} @endslot
                                                @slot('alert_id')  order-create-alert  @endslot
                                            @endcomponent
                                        </div>
                                    </div>
                                    @if($question->getMeta("form") == "wizard")
                                    <input type="hidden" readonly value="0" name="form_wizard_step_number">
                                    @endif

                                    @php($steps = $question->countSteps())
                                @for($i = 0; $i<$steps; $i++)
                                    @php($groupQuestions = $question->children->where("group_id",$i)->sortBy("sorting"))
                                    @if($question->getMeta("form") == "wizard")
                                    <!-- Step 1 -->
                                        <h6 class="form-wizard-header-tag">
                                            @if(optional($groupQuestions->first())->label)
                                                <span class="fonticon-wrap text-left" style="top: -15px !important;">
                                                <span style="text-transform: none !important;" class="font-medium-2">{{$groupQuestions->first()->label}}</span>
                                            </span>
                                            @else
                                                <span class="fonticon-wrap text-left" style="top: -30px !important;">
                                                <i class="livicon-evo-step " data-options="name:question-alt.svg; size: 50px; style:lines; strokeColor:#adb5bd;"></i>
                                                    </span>

                                            @endif
                                        </h6>
                                    @endif
                                        <!-- Step 1 end-->
                                        <!-- body content step 1 -->
                                        <div class="form-wizard-content" data-groupid="{{$i}}">
                                            <div class="row">
                                                @foreach($groupQuestions as $groupQuestion)
                                                    <x-question-component :question="$groupQuestion" :groupId="$i"/>
                                                @endforeach
                                            </div>
                                        </div>
                                        <!-- body content step 1 end-->
                                    @endfor
                                </div>
                                @if($question->getMeta("form") == "wizard")
                                <div class="row mx-md-2 mt-2 form-wizard-header form-wizard-pagination"
                                     id="order-create-form-wizard-pagination">
                                    <div class="col-md-12 d-flex justify-content-between">
                                        <button type="button"
                                                class="btn step-previous width-xl btn-dark waves-effect waves-light cursor-default"
                                                disabled="disabled"
                                                data-form_wizard="#order-create-form-wizard"><span
                                                class="button-text d-flex"><i
                                                    class="bx bx-{{class_by_dir("left")}}-arrow-alt"></i> {{__("Previous")}}</span>
                                        </button>
                                        <button type="button"
                                                class="step-next btn btn-primary waves-effect waves-light submit-ajax-form"
                                                id="order-create-button" data-form="#order-create-form" style="width: auto !important;">
                                        <span class="spinner-border spinner-border-sm" style="display: none;"
                                              role="status"></span><span
                                                class="button-text d-flex"> <span class="text text-nowrap">{{__("Next")}}</span> <i class="bx bx-{{class_by_dir("right")}}-arrow-alt"></i></span>
                                        </button>
                                    </div>
                                </div>
                                @else
                                    <hr>
                                    <div class="row mx-md-2 mt-2">
                                        <div class="col-md-12 d-flex justify-content-center">
                                    <button type="button"
                                            class="step-next btn btn-primary waves-effect waves-light submit-ajax-form"
                                            id="order-create-button" data-form="#order-create-form">
                                        <span class="spinner-border spinner-border-sm" style="display: none;"
                                              role="status"></span><span
                                            class="button-text d-flex"> <span class="text">{{ucwords(__("confirm order"))}}</span></span>
                                    </button>
                                    </div>
                                    </div>
                                @endif
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </section>

    @include("panels.assistant-info")
@endsection

@push("scripts")
<script>
    function inFormcallbeforeAjax(formEl){
        if (formEl.data("voice_recorder") === true) {
            var getToolObj = $(formEl.data("button")).closest(".note-voice-record");

            getToolObj.find(".record-state").addClass("d-none");
            getToolObj.find(".save-voice-btn button").tooltip('hide');
            getToolObj.find(".cancel-voice-btn").addClass("d-none");
        }
    }

    function AjaxHandleErrorMessage(formEl,response) {
        if (formEl.data("voice_recorder") === true) {
            var getToolObj = $(formEl.data("button")).closest(".note-voice-record");
            getToolObj.find(".save-voice-btn").addClass("d-none");
            getToolObj.find(".save-voice-btn button").tooltip('hide');
            getToolObj.find(".start-voice-btn").removeClass("d-none");
        }
    }

    function ajaxUnHandeledError(formEl,alertMessage,formData) {
        if (formEl.data("voice_recorder") === true) {
            alert("failed to deliver voice note , check your internet connection please!");
        }
    }
    $( document ).ready(function() {


        setTimeout(function () {
                if($('.loading-card').length > 0) {
                    $('.loading-card').unblock();
                    $('.loading-card').find("form").removeClass("d-none");
                    $('.loading-card').find(".card-content").removeClass("py-4");
                }
            }, 300);

    });
</script>
@endpush

resources/views/web/pages/orders/index.blade.php
@extends('layouts.fullLayoutMaster',["appendFooter" => true])
{{-- title --}}
@section('title',null)
{{-- page scripts --}}

@section('content')

    @include("web.pages.orders.main-questions")

    @include("panels.assistant-info")

@endsection

resources/views/web/pages/orders/main-questions.blade.php
@include("panels.header-content")

<section class="kb-content">
    <div class="row kb-search-content-info mx-1 mx-md-2 mx-lg-5">
        <div class="col-12 p-0 px-sm-1">
            <div class=" match-height">
                @foreach($mainQuestions as $mainQuestion)
                    <div class="row justify-content-center {{isset($selectedMainQuestion) ? ($selectedMainQuestion != $mainQuestion->key ? 'd-none' : null) : null}}">
                    <div class=" col-sm-12  col-md-6">
                        <div class="card kb-hover-1  mb-1 ">
                            <div class="card-content rounded {{isset($selectedMainQuestion) ? ($selectedMainQuestion == $mainQuestion->key ? 'border-2 border-primary' : null) : null}}">
                                <div class="card-body text-center p-1">
                                    <a href="{{route('orders.create',$mainQuestion->key)}}" id="{{$mainQuestion->key}}">
                                        <div class="media">
                                            <div class="  mr-1">
                                                <i class="livicon-evo"
                                                   data-options="name: {{$mainQuestion->getMeta("icon")}}; size: 50px; strokeColorAlt: #FDAC41; strokeColor: #ff6b09; style: lines-alt;  eventOn:#{{$mainQuestion->key}};"></i>
                                            </div>
                                            <div class="media-body">
                                                <h5 class="media-heading text-left">{{$mainQuestion->title}}</h5>
                                                <p class=" text-muted mb-0 text-left"> {{$mainQuestion->desc}}</p>
                                            </div>
                                        </div>

                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>
                    </div>
                @endforeach

            </div>
        </div>
    </div>
</section>